JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const commission of client.commissions.list()) {
console.log(commission.id);
}import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
page = client.commissions.list()
page = page.data[0]
print(page.id)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.commissions.CommissionListPage;
import com.rye.models.commissions.CommissionListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
CommissionListPage page = client.commissions().list();
}
}curl https://staging.api.rye.com/api/v1/commissions \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"pageInfo": {
"hasPreviousPage": true,
"hasNextPage": true,
"endCursor": "<string>",
"startCursor": "<string>"
},
"data": [
{
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"ryeFee": {
"currencyCode": "USD",
"amountSubunits": 1500
},
"developerCommission": {
"currencyCode": "USD",
"amountSubunits": 1500
},
"settlementDirection": "rye_owes_developer",
"status": "pending",
"type": "surcharge",
"checkoutIntentId": "<string>",
"id": "<string>",
"finalizedAt": "2023-11-07T05:31:56Z"
}
]
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"status": 123,
"fields": {},
"stack": "<string>"
}Commissions
List commissions
List commissions for the authenticated developer
Returns a paginated list of commissions with optional filters using
cursor-based pagination. Pass the endCursor from a previous response
as after to fetch the next page, or the startCursor as before to
fetch the previous page. Specifying both after and before returns 422.
GET
/
api
/
v1
/
commissions
JavaScript
import CheckoutIntents from 'checkout-intents';
const client = new CheckoutIntents({
apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const commission of client.commissions.list()) {
console.log(commission.id);
}import os
from checkout_intents import CheckoutIntents
client = CheckoutIntents(
api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"), # This is the default and can be omitted
)
page = client.commissions.list()
page = page.data[0]
print(page.id)package com.rye.example;
import com.rye.client.CheckoutIntentsClient;
import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
import com.rye.models.commissions.CommissionListPage;
import com.rye.models.commissions.CommissionListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();
CommissionListPage page = client.commissions().list();
}
}curl https://staging.api.rye.com/api/v1/commissions \
-H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
{
"pageInfo": {
"hasPreviousPage": true,
"hasNextPage": true,
"endCursor": "<string>",
"startCursor": "<string>"
},
"data": [
{
"updatedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"ryeFee": {
"currencyCode": "USD",
"amountSubunits": 1500
},
"developerCommission": {
"currencyCode": "USD",
"amountSubunits": 1500
},
"settlementDirection": "rye_owes_developer",
"status": "pending",
"type": "surcharge",
"checkoutIntentId": "<string>",
"id": "<string>",
"finalizedAt": "2023-11-07T05:31:56Z"
}
]
}{
"name": "<string>",
"message": "<string>",
"stack": "<string>"
}{
"name": "<string>",
"message": "<string>",
"status": 123,
"fields": {},
"stack": "<string>"
}Authorizations
Rye API key
Query Parameters
Maximum number of results to return (default 100)
Required range:
1 <= x <= 100Cursor from a previous response's pageInfo.endCursor
Cursor from a previous response's pageInfo.startCursor
Type of commission earned on an order. Canonical definition used by
both the API contract and the internal @rye-com/ci-commissions package.
Available options:
surcharge, promo_arbitrage, discount_code, affiliate, out_of_band Lifecycle status of a commission record.
Available options:
pending, confirmed, updated, finalized, refunded, expired Response
Paginated commissions response
Was this page helpful?

